package client

import (
	"testing"
)

var grpcClient *GrpcClient

func init() {
	ApiUrl := "localhost"
	AppKey := "xxx"
	AppSecret := "xxx"

	var err error
	grpcClient, err = NewGrpcClient(ApiUrl, AppKey, AppSecret)
	if err != nil {
		panic(err)
	}
}
func TestGrpcLogin(t *testing.T) {

	login, err := grpcClient.Login("admin", "admin123")
	if err != nil {
		t.Error(err)
	}
	t.Log(login)
}

func TestGrpcCheckToken(t *testing.T) {
	token, err := grpcClient.CheckToken("TK-1-VF9KOEE5FWTEU")
	if err != nil {
		t.Error(err)
	}
	t.Log(token)
}

func TestGrpcGetUserMenu(t *testing.T) {
	menu, err := grpcClient.GetUserMenu("TK-1-JT6YVVOWBDYTG")
	if err != nil {
		t.Error(err)
	}
	t.Log(menu)
}
